# $Id: smeserver-mailstats.spec,v 1.4 2013/09/26 17:41:31 unnilennium Exp $
# Authority: brianread
# Name: Brian Read

Summary: Daily mail statistics for SME Server
%define name smeserver-mailstats
Name: %{name}
%define version 1.1
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SME/addon
Source: %{name}-%{version}.tgz
#REM contribs9 Patch0: smeserver-mailstats-1.1-auth_cvm_unix_local.patch
#REM contribs9 Patch1: smeserver-mailstats-1.1-spamfilter.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: smeserver-release => 8.0
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
A script that via cron.d e-mails mail statistics to admin on a daily basis.
See http://www.contribs.org/bugzilla/show_bug.cgi?id=819

%changelog
* Mon Jun 16 2014 JP Pialasse <tests@pialasse.com> 1.1-1.sme
- initial import to SME9 contribs

* Mon Sep 23 2013 JP Pialasse <tests@pialasse.com> 1.1-4.sme
- uninitialized value in sprintf [SME: 4747]
- patch  smeserver-mailstats-1.0-spamfilter.patch

* Sun Sep 09 2012 JP Pialasse <tests@pialasse.com> 1.1-2.sme
- fix Unexpected failure string in log file: auth::auth_cvm_unix_local see [SME 7089]

* Sat May 26 2012 Brian J read <brianr@bjsystems.co.uk> 1.0-1.sme
- Initial version

%prep
%setup
#REM contribs9 %patch0 -p1 
#REM contribs9 %patch1 -p1

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
/bin/rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
